Bug 1550829 - [Pacemaker] : Broken link in pacemaker status
Summary: [Pacemaker] : Broken link in pacemaker status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: 7.6
Assignee: Ken Gaillot
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-02 06:11 UTC by Ambarish
Modified: 2018-10-30 07:59 UTC (History)
12 users (show)

Fixed In Version: pacemaker-1.1.18-13.el7
Doc Type: No Doc Update
Doc Text:
Trivial
Clone Of:
Environment:
Last Closed: 2018-10-30 07:57:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (114.45 KB, image/png)
2018-03-02 06:12 UTC, Ambarish
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3055 None None None 2018-10-30 07:59:04 UTC

Description Ambarish 2018-03-02 06:11:16 UTC
Description of problem:
-----------------------

systemctl status shows a broken link for Docs :

<snip>

[root@gqas006 /]# systemctl status pacemaker
● pacemaker.service - Pacemaker High Availability Cluster Manager
   Loaded: loaded (/usr/lib/systemd/system/pacemaker.service; disabled; vendor preset: disabled)
   Active: active (running) since Fri 2018-03-02 01:08:00 EST; 1min 7s ago
     Docs: man:pacemakerd
           http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Explained/index.html
 Main PID: 3873 (pacemakerd)
   CGroup: /system.slice/pacemaker.service
           ├─3873 /usr/sbin/pacemakerd -f
           ├─3874 /usr/libexec/pacemaker/cib
           ├─3875 /usr/libexec/pacemaker/stonithd
           ├─3876 /usr/libexec/pacemaker/lrmd
           ├─3877 /usr/libexec/pacemaker/attrd
           ├─3878 /usr/libexec/pacemaker/pengine
           └─3879 /usr/libexec/pacemaker/crmd


</snip>


 http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Explained/index.html  - This does not work 

Version-Release number of selected component (if applicable):
--------------------------------------------------------------

pacemaker-1.1.18-11.el7.x86_64

How reproducible:
-----------------

100%

Comment 2 Ambarish 2018-03-02 06:12:03 UTC
Created attachment 1402898 [details]
Screenshot

Comment 3 Ken Gaillot 2018-03-02 15:02:12 UTC
Thanks for catching this! The upstream site moved some files around recently. The correct URL is now:

https://clusterlabs.org/pacemaker/doc/en-US/Pacemaker/1.1/html-single/Pacemaker_Explained/index.html

Comment 4 Ken Gaillot 2018-03-02 23:17:00 UTC
Fixed by upstream commit e947893

Comment 7 Ken Gaillot 2018-06-04 16:38:40 UTC
As of pacemaker-1.1.18-13.el7, the pacemaker_remote unit file is also fixed.

Comment 8 Patrik Hagara 2018-07-19 10:56:54 UTC
before:
=======

> [root@virt-261 ~]# rpm -q pacemaker pacemaker-remote
> pacemaker-1.1.18-11.el7.x86_64
> pacemaker-remote-1.1.18-11.el7.x86_64
> [root@virt-261 ~]# systemctl status pacemaker                                                                                                                                                    
> ● pacemaker.service - Pacemaker High Availability Cluster Manager
>    Loaded: loaded (/usr/lib/systemd/system/pacemaker.service; disabled; vendor preset: disabled)
>    Active: inactive (dead)
>      Docs: man:pacemakerd
>            http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Explained/index.html
> [root@virt-261 ~]# curl -sI http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Explained/index.html | head -n 1
> HTTP/1.1 301 Moved Permanently
> [root@virt-261 ~]# systemctl status pacemaker_remote                                                                          
> ● pacemaker_remote.service - Pacemaker Remote Service
>    Loaded: loaded (/usr/lib/systemd/system/pacemaker_remote.service; disabled; vendor preset: disabled)
>    Active: inactive (dead)
>      Docs: man:pacemaker_remoted
>            http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Remote/index.html
> [root@virt-261 ~]# curl -sI http://clusterlabs.org/doc/en-US/Pacemaker/1.1-pcs/html/Pacemaker_Remote/index.html | head -n 1   
> HTTP/1.1 301 Moved Permanently

Both documentation URLs get redirected to a generic "not found" page.


after:
======

> [root@virt-153 ~]# rpm -q pacemaker pacemaker-remote
> pacemaker-1.1.19-3.el7.x86_64
> pacemaker-remote-1.1.19-3.el7.x86_64
> [root@virt-153 ~]# systemctl status pacemaker
> ● pacemaker.service - Pacemaker High Availability Cluster Manager
>    Loaded: loaded (/usr/lib/systemd/system/pacemaker.service; disabled; vendor preset: disabled)
>    Active: inactive (dead)
>      Docs: man:pacemakerd
>            https://clusterlabs.org/pacemaker/doc/en-US/Pacemaker/1.1/html-single/Pacemaker_Explained/index.html
> [root@virt-153 ~]# curl -sI https://clusterlabs.org/pacemaker/doc/en-US/Pacemaker/1.1/html-single/Pacemaker_Explained/index.html | head -n 1
> HTTP/1.1 200 OK
> [root@virt-153 ~]# systemctl status pacemaker_remote
> ● pacemaker_remote.service - Pacemaker Remote Service
>    Loaded: loaded (/usr/lib/systemd/system/pacemaker_remote.service; disabled; vendor preset: disabled)
>    Active: inactive (dead)
>      Docs: man:pacemaker-remoted
>            https://clusterlabs.org/pacemaker/doc/en-US/Pacemaker/1.1/html-single/Pacemaker_Remote/index.html
> [root@virt-153 ~]# curl -sI https://clusterlabs.org/pacemaker/doc/en-US/Pacemaker/1.1/html-single/Pacemaker_Remote/index.html | head -n 1
> HTTP/1.1 200 OK

Both pacemaker and pacemaker_remote systemd unit files contain a working documentation URL.

Marking verified in 1.1.19-3.el7.

Comment 10 errata-xmlrpc 2018-10-30 07:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3055


Note You need to log in before you can comment on or make changes to this bug.